{
  "name": "ebpm-process-modeler",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build:uat": "vue-cli-service build --mode uat",
    "build:stage": "vue-cli-service build --mode staging",
    "build": "vue-cli-service build --mode development --target app --dashboard",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "axios": "^0.19.0",
    "bpmn-js": "^4.0.3",
    "bpmn-js-properties-panel": "^0.31.0",
    "camunda-bpmn-moddle": "^3.2.0",
    "element-ui": "^2.11.0",
    "tiny-svg": "^0.1.3",
    "vue": "^2.5.17",
    "vue-router": "^3.0.1",
    "vuex": "^3.1.1",
    "xe-utils": "^2.2.2"
  },
  "devDependencies": {
    "sass": "1.32.13",
    "sass-loader": "10.1.1",
    "script-ext-html-webpack-plugin": "2.1.5",
    "@vue/cli-plugin-babel": "^3.0.4",
    "@vue/cli-plugin-eslint": "^3.0.4",
    "@vue/cli-service": "^3.0.4",
    "vue-template-compiler": "^2.5.17"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "rules": {
      "no-alert": 0,
      "no-console": 0
    },
    "parserOptions": {
      "parser": "babel-eslint"
    }
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
